Source: haskell-monad-par-extras
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-abstract-par-dev (<< 0.4),
 libghc-abstract-par-dev (>= 0.3),
 libghc-abstract-par-prof,
 libghc-cereal-dev (>= 0.3),
 libghc-cereal-prof,
 libghc-random-dev (>= 1.0),
 libghc-random-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-abstract-par-doc,
 libghc-cereal-doc,
 libghc-random-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/simonmar/monad-par
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-monad-par-extras
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-monad-par-extras]
X-Description: Combinators and extra features for Par monads
 The Par monad offers a simple API for parallel programming. The library works
 for parallelising both pure and IO computations, although only the pure
 version is deterministic. The default implementation provides a work-stealing
 scheduler and supports forking tasks that are much lighter weight than
 IO-threads.
 .
 This package provides combinators and extra features for Par monads.

Package: libghc-monad-par-extras-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-monad-par-extras-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-monad-par-extras-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
